> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tunnel Status Endpoint

> Get status of a specific tunnel.

## Rate Limit

300 requests per 60 seconds per tunnel.


## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/tunnel/{tunnel_id}
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/tunnel/{tunnel_id}:
    get:
      tags:
        - Tunnel
      summary: Get Tunnel Status Endpoint
      description: Get status of a specific tunnel.
      operationId: get_tunnel_status_endpoint_api_v1_tunnel__tunnel_id__get
      parameters:
        - name: tunnel_id
          in: path
          required: true
          schema:
            type: string
            title: Tunnel Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TunnelStatusResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    TunnelStatusResponse:
      properties:
        tunnel_id:
          type: string
          title: Tunnel Id
          description: Unique tunnel identifier
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Friendly name if set
        status:
          $ref: '#/components/schemas/TunnelStatus'
          description: Current tunnel status
        hostname:
          type: string
          title: Hostname
          description: Tunnel hostname
        url:
          type: string
          title: Url
          description: Full HTTPS URL
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Tunnel creation time
        connected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Connected At
          description: When the client connected
        expires_at:
          type: string
          format: date-time
          title: Expires At
          description: Token expiration time
        user_id:
          type: string
          title: User Id
          description: Owner user ID
        team_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Team Id
          description: Team ID if applicable
      type: object
      required:
        - tunnel_id
        - status
        - hostname
        - url
        - created_at
        - expires_at
        - user_id
      title: TunnelStatusResponse
      description: Response containing tunnel status information.
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    TunnelStatus:
      type: string
      enum:
        - pending
        - connected
        - disconnected
        - expired
      title: TunnelStatus
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````